#ifndef CPU_X86_CONFIG_INTEL_H
#define CPU_X86_CONFIG_INTEL_H

#include <cpu.h>

#define CPU_CACHE_INF    0x00000002
#define IA32_PLATFORM_ID 0x00000017
#define EBL_CR_POWERON   0x0000002A
#define BBL_CR_D0        0x00000088
#define BBL_CR_D1        0x00000089
#define BBL_CR_D2        0x0000008A
#define BBL_CR_D3        0x0000008B
#define BBL_CR_ADDR      0x00000116
#define BBL_CR_CTL       0x00000119
#define BBL_CR_TRIG      0x0000011A
#define BBL_CR_BUSY      0x0000011B
#define BBL_CR_CTL3      0x0000011E


static void configure_cpu(struct cpu_data *cpu);
static void initialize_P6_L2_cache(struct cpu_data *cpu);
static void query_cache_size(struct cpu_data *cpu);

#endif /* CPU_X86_CONFIG_INTEL_H */
